html{
    cursor: auto !important;
}

a {
    cursor: pointer !important;
    text-decoration: none;
    color: black;
}

body{
    margin: 0; 
    padding: 0;
    font-family: 'Roboto Mono', monospace; 
    background-color: white;
    color: black;
    
}

#headerDiv{
    background-color: rgb(102, 102, 255);
}

#footerDiv{
    background-color: rgb(102, 102, 255);
    margin-top: 3%;
    padding: 1% 2% 2% 8%;
    color: white;
    /* font-size: 2rem; */
}
#footerDiv > p{
    margin: 10px 0px;
}

#headerNavMenu{
    padding: 2% 8% 2% 8%;
    display: grid;
    grid-template-columns: 20% 80%;
}

#headerLogo{
    height: 100%;
    display: flex;
    align-items: flex-end;
}

#headerLogo img{
    width: 100%;
}

#headerNav{
    display: grid;
    grid-template-columns: 85% 15%;
}

#navLeft{
    width: 90%;
    display: grid;
    margin: 9% 15px 0px 15px;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    gap: 20px;
}

.leftNavItems{
    width: 100%;
    height: 100%;
    font-weight: bolder;
    font-size: 18px;
    border: 3px solid black;
    background-color: white;
    word-break: break-all;
    text-align: center;
    color: black !important;
}

#navRight{
    width: 100%;
    display: grid;
    margin:0px 0px 0px 20%;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    align-items:end;
}

#navRight img{
    width: 3vw;
}

@media only screen and (max-width: 768px) {
    #headerNav{
        display: grid;
        grid-template-columns: 100%;
    }
    #navLeft{
        width: 100%;
        gap: 5px;
    }
    .leftNavItems{
        width: 100%;
        height: 100%;
        font-size: 12px;
        border: none;
        word-break: break-all;
        text-align: center;
        color: black !important;
    }
    #navRight{
        display: none;
    }
}

#mainListingDiv{
    margin: 5% 10% 10% 10%;
}

#listingContainer{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
}

.sketchbookCard{
    border-radius: 10px;
    border: 2px solid black;
    height: 750px;
    width: 100%;
    display: grid;
    grid-template-rows: 70% 30%;
}

.sketchbookContent{
    margin: 20px 10px 0px 10px;
}

.sketchbookImage{
    height: 100%;
    border: 2px dashed white;
    text-align: center;
}

.sketchbookImage img{
    height: 100%;
    width: 100%;
    object-fit:contain;
}

.sketchbookInfo{
    margin: 20px 10px 0px 10px;
}

.sketchbookName{
    font-size: 24px;
}

.sketchbookStatus{
    margin: 10px 0px 0px 0px;
    font-weight: bold;
}

.sketchbookStatus.unavalible{
    color: red;
}

.sketchbookStatus.avalible{
    color: green;
}

.sketchbookLink{
    margin: 10px 0px 0px 0px;
    color: black;
    border: 5px solid black;
    border-radius: 10px;
    text-align: center;
    padding: 10px;
}

.sketchbookLink.notAllowed{
    cursor: not-allowed !important;
}



@media only screen and (max-width: 1060px) {
    #listingContainer{
        grid-template-columns: 1fr 1fr;
    }
}

@media only screen and (max-width: 768px) {
    #listingContainer{
        grid-template-columns: 1fr;
    }
}

#mainScansDiv{
    border-color: black;
    border-style: groove;
    border-width: 10px;
    margin: 1% 25% 0% 25%;
    padding: 5px;
    text-align: center;
}
.scanImage{
    width : 100%;
}

.breadcrumb{
    margin: 2% 25% 0% 25%;
}

.breadcrumb span{
    text-decoration: underline;
}

@media only screen and (max-width: 768px) {
    #mainScansDiv{
        margin: 3%;
    }
    .breadcrumb{
        margin: 3%;
    }
    img{
        min-width: 100%;
    }
}